Foreman - Bug #868

[installation] Unknown id: postgres
04/27/2011 03:16 PM - Grigory blank

Status: Closed

Priority: Normal

Assignee: Jochen Schalanda

Category: Packaging

Target version: 0.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

I've started to install Foreman via sudo apt-get install foreman-pgsql. After answering question about database password, window
with title Unknown id: postgres arised.
Retry doesn't seem to work.

Puppet installed on the same machine.

Associated revisions

Revision c774ec5a - 05/22/2011 03:14 AM - Jochen Schalanda

Fixes #868 - Fixed installation order of database dependencies

Signed-off-by: Jochen Schalanda <jochen@schalanda.name>

History

#1 - 05/02/2011 04:57 AM - Ohad Levy

- Status changed from New to Feedback

- Target version deleted (0.3)

any chance you can try it with plain git source / nightly snapshot to see if its not related to packaging?
thanks

#2 - 05/02/2011 12:24 PM - Jochen Schalanda

- Category set to Packaging

- Assignee set to Jochen Schalanda

| could reproduce the described error.

The problem here is that the PostgreSQL server is only being configured after foreman-pgsq|l or foreman is has been installed and the appropriate
hook for creating the PostgreSQL user/database has been executed.

A quick workaround is installing the package postgresqgl before installing foreman-pgsq|.

#3 - 05/21/2011 01:02 PM - Jochen Schalanda
- Status changed from Feedback to Ready For Testing

- Target version set to 0.3

Should be fixed in latest package in our testing repository.

@Girigory, please test if the error still occurs on your system with the latest package.

#4 - 05/22/2011 04:00 AM - Jochen Schalanda
- % Done changed from 0 to 100

05/12/2024 1/2



mailto:jochen@schalanda.name

Applied in changeset c774ec5a6f0f184bc778baec6210770405f14ac3.

#5 - 05/24/2011 02:30 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
